# FormBuilder

> Get one form by slug with its placements, draft snapshot and settings. Read access, forms toolset, MCP tool get_form.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `slug` | `String!` | yes |  | Checks for equality with the object’s `formSlug` field. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"FormBuilder","variables":{"slug":"…"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"861c0b09f9582fc22828aad520c1814e4f00037f4f1938784c2e21122303d044"}}}'
```

## Document

```graphql
query FormBuilder($slug: String!) { __typename allForms(condition: {formSlug: $slug}, first: 1) { __typename nodes { __typename formPlacementsByFormId { __typename nodes { __typename connectionId id integrationChannelId rowId } } formSlug formSnapshotsByFormId(condition: {version: 1}, first: 1) { __typename nodes { __typename id payload } } id priority reasonSet returningEnabled rowId status surfaces title viewType workspaceByWorkspaceId { __typename id workspaceMetadataByWorkspaceId(first: 1) { __typename nodes { __typename brand id } } } } } }
```

Source: https://developer.missin.co.uk/reference/forms/form-builder
